summaryrefslogtreecommitdiff
path: root/dev-qt/qdoc
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-08 15:31:40 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-08 15:31:40 +0100
commit02be2ba9d384b287a0a58d496582b5ae3275934b (patch)
tree62b48d9776dc258f3f1407c3910deb6748ea5d04 /dev-qt/qdoc
parenta008552bd1e0022e8d8811eb5344c3a7dd918653 (diff)
dev-qt : import 5.11.1 from gentoo tree, prepare for qt5 bump
Diffstat (limited to 'dev-qt/qdoc')
-rw-r--r--dev-qt/qdoc/qdoc-5.11.1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-qt/qdoc/qdoc-5.11.1.ebuild b/dev-qt/qdoc/qdoc-5.11.1.ebuild
new file mode 100644
index 00000000..4c656e1b
--- /dev/null
+++ b/dev-qt/qdoc/qdoc-5.11.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Qt documentation generator"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="qml"
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ sys-devel/clang:=
+ qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+ src/qdoc
+)
+
+src_prepare() {
+ qt_use_disable_mod qml qmldevtools-private \
+ src/qdoc/qdoc.pro
+
+ export LLVM_INSTALL_DIR="$(llvm-config --prefix)"
+ # this is normally loaded in qttools.pro, so skipped by using
+ # QT_TARGET_SUBDIRS causing build to fail
+ sed -e '1iload(qt_find_clang)\' -i src/qdoc/qdoc.pro || die
+
+ qt5-build_src_prepare
+}